{#
/**
 * @file
 * Corporate+s's theme implementation to display a Showcase node.
 */
#}

{% extends "node.html.twig" %}
{% block node_side %}
    {#<div class="node__side">#}
    {#{% if display_submitted or (node.comment and comment_count > 0) %}#}
      {#{% if display_submitted %}#}
        {#<div class="node__user-info">#}
          {#{% if author_picture %}#}
            {#<div class="user-picture">#}
              {#<div{{ author_attributes }}>#}
                {#{{ author_picture }}#}
              {#</div>#}
            {#</div>#}
          {#{% endif %}#}
          {#{{ metadata }}#}
        {#</div>#}
        {#<div class="node__submitted-date">#}
          {#<div class="month">{{ node.createdtime|format_date('custom', 'M') }}</div>#}
          {#<div class="day">{{ node.createdtime|format_date('custom', 'd') }}</div>#}
          {#<div class="year">{{ node.createdtime|format_date('custom', 'Y') }}</div>#}
        {#</div>#}
      {#{% endif %}#}
      {#{% if node.comment and comment_count > 0 %}#}
        {#<div class="node__comments">#}
          {#<i class="fa fa-comment"></i>#}
          {#<div class="node__comments-count">{{ comment_count }}</div>#}
        {#</div>#}
      {#{% endif %}#}
    {#{% endif %}#}
  {#</div>#}
{% endblock %}
{% block meta_area %}
  {{ title_prefix }}
  {% if not page %}
    <h2{{ title_attributes.addClass('node__title') }}>
      <a href="{{ url }}" rel="bookmark">{{ label }}</a>
    </h2>
  {% endif %}
  {{ title_suffix }}
  {% if display_submitted %}
    <div class="node__meta">
      <span{{ author_attributes.addClass('node__submitted-info') }}>
        {% trans %}<span class="node__submitted-info-text">By</span> {{ author_name }}{% endtrans %}
      </span>
    </div>
  {% endif %}
{% endblock %}
{% block content %}
  {{ attach_library('corporateplus/node-showcase') }}
  {{ content }}
{% endblock %}
